#
# spec file for package gigedit
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname	2
%define rev     2718
Name:           gigedit
Version:        0.2.0+r%{rev}
Release:        1.64
Summary:        Instrument editor for gig files
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://www.linuxsampler.org/
Source0:        %{name}-%{rev}.tar.bz2
Source1:        %{name}.desktop
Source2:        sfz.png
#PATCH-FIX-OPENSUSE return-function.patch avvissu@yandex.ru -- Fix build errors found by RPMlint
Patch0:         gigedit-2718_return-function.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libtool
BuildRequires:  intltool
BuildRequires:  perl(XML::Parser)
BuildRequires:  update-desktop-files
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gig)
BuildRequires:  pkgconfig(gtkmm-2.4)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(linuxsampler) >= 1.0.0+r%{rev}
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(sqlite3)
%ifarch armv6l armv6hl
BuildRequires:  Mesa-libEGL1
BuildRequires:  pkgconfig(egl)
BuildRequires:  -raspberrypi-userland
%endif

%description
Instrument editor for Gigasampler files gigedit is an instrument editor
allowing to modify existing Gigasampler files, as well as creating new
ones from scratch. The GUI is based on the GTK+ (gtkmm) toolkit. Even
though it is created as a subproject of the LinuxSampler project, it is
currently a completely independent stand-alone editor.

%prep
%setup -q -n %{name}
%patch0 -p1

#Fix file-contains-current-date 
sed -i '/__DATE__/d' src/gigedit/mainwindow.cpp

%build
if [ -f Makefile.cvs ]; then make -f Makefile.cvs; fi
%configure --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/sfz.png

find %{buildroot} -type f -name "*.la" -delete -print

#No need in file
rm -f %{buildroot}%{_libdir}/%{name}/libgigedit.so

%suse_update_desktop_file %{name}

%find_lang %{name}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/quickstart/{*html,*png,*css} AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/%{name}
%{_libdir}/%{name}
%dir %{_libdir}/linuxsampler
%dir %{_libdir}/linuxsampler/plugins
%{_libdir}/linuxsampler/plugins/libgigeditlinuxsamplerplugin.so
%{_datadir}/pixmaps/sfz.png
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/sfz.png
%exclude %{_datadir}/doc/%{name}

%changelog
* Tue Feb 10 2015 avvissu@yandex.ru
- Initial release
